diff --git a/debian/changelog b/debian/changelog
index 9c7e3a6..1275f0a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+calamares (3.3.12-1.2~kel.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Build against Qt6/kf6.
+  * Do not clean with kf6.
+
+ -- Kel Modderman <kelvmod@gmail.com>  Fri, 27 Dec 2024 11:44:52 +1000
+
 calamares (3.3.12-1.1) unstable; urgency=medium
 
   * Non-maintainer upload.
diff --git a/debian/control b/debian/control
index 24a4fd2..29cc24c 100644
--- a/debian/control
+++ b/debian/control
@@ -7,22 +7,20 @@ Build-Depends: cmake,
                debhelper-compat (= 13),
                extra-cmake-modules,
                gettext,
-               libkf5config-dev,
-               libkf5coreaddons-dev,
-               libkf5i18n-dev,
-               libkf5iconthemes-dev,
-               libkf5kio-dev,
-               libkf5parts-dev,
-               libkf5plasma-dev,
-               libkf5service-dev,
-               libkf5solid-dev,
+               libkf6config-dev,
+               libkf6coreaddons-dev,
+               libkf6i18n-dev,
+               libkf6iconthemes-dev,
+               libkf6kio-dev,
+               libkf6parts-dev,
+               libkf6service-dev,
+               libkf6solid-dev,
                libkpmcore-dev,
                libparted-dev,
-               libpolkit-qt5-1-dev,
+               libplasma-dev,
+               libpolkit-qt6-1-dev,
                libpwquality-dev,
                libboost-python-dev,
-               libqt5svg5-dev,
-               libqt5webkit5-dev,
                libyaml-cpp-dev,
                os-prober <!nocheck>,
                pkg-config,
@@ -33,10 +31,11 @@ Build-Depends: cmake,
                qml-module-qtquick-privatewidgets,
                qml-module-qtquick-window2,
                qml-module-qtquick2,
-               qtbase5-dev,
-               qtdeclarative5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
+               qt6-base-dev,
+               qt6-declarative-dev,
+               qt6-svg-dev,
+               qt6-tools-dev,
+               qt6-tools-dev-tools
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/calamares/calamares
diff --git a/debian/rules b/debian/rules
index a8230de..a45bcd5 100755
--- a/debian/rules
+++ b/debian/rules
@@ -6,11 +6,14 @@ export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 # Help makes build paths reproducible
 export DEB_BUILD_MAINT_OPTIONS=buildinfo=+path
 
+clean:
+	dh $@
+
 %:
-	dh $@ --with kf5
+	dh $@ --with kf6
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DWEBVIEW_FORCE_WEBKIT=1 -DKDE_INSTALL_USE_QT_SYS_PATHS=ON
+	dh_auto_configure -- -DKDE_INSTALL_USE_QT_SYS_PATHS=ON -DWITH_QT6=ON
 
 # Some test don't work well, we don't need to run them at package build time.
 override_dh_auto_test:
